﻿using System;
using System.Collections.Generic;
using System.Text;

namespace SSTFEditor
{
	class CUndoRedoリスト : CUndoRedoセルBase
	{
		public List<CUndoRedoセルBase> listセル;
		public int n次にセルが追加される位置0to;
		public CUndoRedoリスト urd親セル;
		public int nRedo可能な回数
		{
			get
			{
				return ( this.n現在の総セル数 - this.nUndo可能な回数 );
			}
		}
		public int nUndo可能な回数
		{
			get
			{
				return this.n次にセルが追加される位置0to;
			}
		}
		public int n現在の総セル数
		{
			get
			{
				if( this.listセル == null )
				{
					return 0;
				}
				return this.listセル.Count;
			}
		}

		public CUndoRedoリスト( CUndoRedoリスト urd親セル )
		{
			this.urd親セル = urd親セル;
			this.listセル = new List<CUndoRedoセルBase>();
			this.n次にセルが追加される位置0to = 0;
		}
		public override void tRedoを実行する()
		{
			// 前から順に実行する。

			foreach( CUndoRedoセルBase cell in this.listセル )
				cell.tRedoを実行する();
		}
		public override void tUndoを実行する()
		{
			// 後ろから順に実行する。

			for( int i = this.listセル.Count - 1; i >= 0; i-- )
				this.listセル[ i ].tUndoを実行する();
		}
	}
}
