﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace SSTFEditor
{
	public partial class C小節長倍率入力ダイアログ : Form
	{
		public bool b後続変更
		{
			get
			{
				return this.checkBox後続設定.Checked;
			}
			set
			{
				this.checkBox後続設定.CheckState = value ? CheckState.Checked : CheckState.Unchecked;
			}
		}
		public float f倍率
		{
			get
			{
				return (float) this.numericUpDown小節長の倍率.Value;
			}
			set
			{
				this.numericUpDown小節長の倍率.Value = (decimal) value;
			}
		}
		
		public C小節長倍率入力ダイアログ( int n小節番号 )
		{
			InitializeComponent();
			this.textBox小節番号.Text = n小節番号.ToString( "000" );
		}

		protected void numericUpDown小節長の倍率_KeyDown( object sender, KeyEventArgs e )
		{
			if( e.KeyCode == Keys.Return )		// ENTER で OK
				this.buttonOK.PerformClick();

			else if( e.KeyCode == Keys.Escape )	// ESC で Cancel
				this.buttonキャンセル.PerformClick();
		}
		protected void checkBox後続設定_KeyDown( object sender, KeyEventArgs e )
		{
			if( e.KeyCode == Keys.Return )		// ENTER で OK
				this.buttonOK.PerformClick();

			else if( e.KeyCode == Keys.Escape )	// ESC で Cancel
				this.buttonキャンセル.PerformClick();
		}
	}
}
